import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class SlideInBarService {
    private modalCloseMap;
    createSlidePanel(id: string): Observable<void>;
    getModalCloseObservable(id: string): Observable<void> | null;
    closeModal(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlideInBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SlideInBarService>;
}
